Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Delete a specific chunk from a datasource in your knowledge base. Permanently removes the text segment and its embedding from the index.
curl --request DELETE \
--url https://api.orq.ai/v2/knowledge/{knowledge_id}/datasources/{datasource_id}/chunks/{chunk_id} \
--header 'Authorization: Bearer <token>'Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier of the chunk
The unique identifier of the data source
The unique identifier of the knowledge base
Chunk successfully deleted
Was this page helpful?
curl --request DELETE \
--url https://api.orq.ai/v2/knowledge/{knowledge_id}/datasources/{datasource_id}/chunks/{chunk_id} \
--header 'Authorization: Bearer <token>'